Bug 1415817 (kalarm) - Review Request: kalarm - Personal Alarm Scheduler
Summary: Review Request: kalarm - Personal Alarm Scheduler
Keywords:
Status: CLOSED RAWHIDE
Alias: kalarm
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews
TreeView+ depends on / blocked
 
Reported: 2017-01-23 19:30 UTC by Rex Dieter
Modified: 2017-01-30 18:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-30 18:34:36 UTC
Type: ---
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2017-01-23 19:30:55 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kde-apps/kalarm.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde-apps/kalarm-16.12.1-1.fc25.src.rpm
Description:
KAlarm is a personal alarm message, command and email scheduler.

Fedora Account System Username: rdieter

Comment 1 Rex Dieter 2017-01-23 19:31:31 UTC
Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17394541

Comment 2 Christian Dersch 2017-01-30 16:32:33 UTC
Will review now

Comment 3 Christian Dersch 2017-01-30 16:45:17 UTC
Approved!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* BSD (3 clause)", "*No copyright* GPL (v2 or
     later)", "GPL (v2 or later)", "GPL (v2)", "Unknown or generated". 14
     files have unknown license. Detailed output of licensecheck in
     /home/review/1415817-kalarm/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/kxmlgui5/kalarm,
     /etc/dbus-1/system.d
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/kxmlgui5/kalarm,
     /usr/share/icons/hicolor/22x22/apps,
     /usr/share/icons/hicolor/32x32/apps, /etc/dbus-1,
     /usr/share/icons/hicolor/16x16/apps, /etc/dbus-1/system.d,
     /usr/share/icons/hicolor/128x128/apps, /usr/share/icons/hicolor/64x64,
     /usr/share/dbus-1/interfaces, /usr/share/dbus-1/system-services,
     /usr/share/polkit-1, /usr/share/icons/hicolor/16x16,
     /usr/share/icons/hicolor/48x48/apps, /usr/share/icons/hicolor,
     /usr/share/dbus-1, /usr/share/config.kcfg,
     /usr/share/icons/hicolor/128x128, /usr/share/doc/HTML,
     /usr/share/polkit-1/actions, /usr/share/icons/hicolor/32x32,
     /usr/share/doc/HTML/en, /usr/share/icons/hicolor/64x64/apps,
     /usr/share/icons/hicolor/22x22, /usr/share/icons/hicolor/48x48,
     /usr/share/kxmlgui5
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in kalarm
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
==> %{?qt5_qtwebengine_arches:ExclusiveArch: %{qt5_qtwebengine_arches}} as required

[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 389120 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local


===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in kalarm-
     debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kalarm-16.12.1-1.fc26.x86_64.rpm
          kalarm-debuginfo-16.12.1-1.fc26.x86_64.rpm
          kalarm-16.12.1-1.fc26.src.rpm
kalarm.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.kde.kalarmrtcwake.conf
kalarm.x86_64: W: non-conffile-in-etc /etc/xdg/kalarm.categories
kalarm.x86_64: W: non-conffile-in-etc /etc/xdg/kalarm.renamecategories
kalarm.x86_64: W: no-manual-page-for-binary kalarm
kalarm.x86_64: W: no-manual-page-for-binary kalarmautostart
kalarm.src:109: W: macro-in-comment %{buildroot}
kalarm.src:109: W: macro-in-comment %{_kf5_libdir}
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: kalarm-debuginfo-16.12.1-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
kalarm.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.kde.kalarmrtcwake.conf
kalarm.x86_64: W: non-conffile-in-etc /etc/xdg/kalarm.categories
kalarm.x86_64: W: non-conffile-in-etc /etc/xdg/kalarm.renamecategories
kalarm.x86_64: W: no-manual-page-for-binary kalarm
kalarm.x86_64: W: no-manual-page-for-binary kalarmautostart
2 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
kalarm-debuginfo (rpmlib, GLIBC filtered):

kalarm (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/perl
    libKF5AkonadiContact.so.5()(64bit)
    libKF5AkonadiCore.so.5()(64bit)
    libKF5AkonadiMime.so.5()(64bit)
    libKF5AkonadiWidgets.so.5()(64bit)
    libKF5AlarmCalendar.so.5()(64bit)
    libKF5Auth.so.5()(64bit)
    libKF5Bookmarks.so.5()(64bit)
    libKF5CalendarCore.so.5()(64bit)
    libKF5CalendarUtils.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5Completion.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5Contacts.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5Crash.so.5()(64bit)
    libKF5DBusAddons.so.5()(64bit)
    libKF5GuiAddons.so.5()(64bit)
    libKF5Holidays.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5IconThemes.so.5()(64bit)
    libKF5IdentityManagement.so.5()(64bit)
    libKF5ItemModels.so.5()(64bit)
    libKF5ItemViews.so.5()(64bit)
    libKF5JobWidgets.so.5()(64bit)
    libKF5KDELibs4Support.so.5()(64bit)
    libKF5KIOCore.so.5()(64bit)
    libKF5KIOFileWidgets.so.5()(64bit)
    libKF5KIOWidgets.so.5()(64bit)
    libKF5Libkdepim.so.5()(64bit)
    libKF5MailTransport.so.5()(64bit)
    libKF5Mime.so.5()(64bit)
    libKF5Notifications.so.5()(64bit)
    libKF5Parts.so.5()(64bit)
    libKF5PimCommon.so.5()(64bit)
    libKF5PimTextEdit.so.5()(64bit)
    libKF5Service.so.5()(64bit)
    libKF5Solid.so.5()(64bit)
    libKF5SonnetUi.so.5()(64bit)
    libKF5TextWidgets.so.5()(64bit)
    libKF5UnitConversion.so.5()(64bit)
    libKF5Wallet.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libKF5WindowSystem.so.5()(64bit)
    libKF5XmlGui.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5PrintSupport.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5X11Extras.so.5()(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libical.so.2()(64bit)
    libicalss.so.2()(64bit)
    libm.so.6()(64bit)
    libphonon4qt5.so.4()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    perl(strict)
    rtld(GNU_HASH)



Provides
--------
kalarm-debuginfo:
    kalarm-debuginfo
    kalarm-debuginfo(x86-64)

kalarm:
    appdata()
    appdata(org.kde.kalarm.appdata.xml)
    application()
    application(org.kde.kalarm.desktop)
    kalarm
    kalarm(x86-64)



Source checksums
----------------
http://download.kde.org/stable/applications/16.12.1/src/kalarm-16.12.1.tar.xz :
  CHECKSUM(SHA256) this package     : 8743790edfcc74c8a372e5f17327467aca67332f71c315933ae5138b19f5b004
  CHECKSUM(SHA256) upstream package : 8743790edfcc74c8a372e5f17327467aca67332f71c315933ae5138b19f5b004


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1415817
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++, Perl
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Rex Dieter 2017-01-30 17:11:20 UTC
pkgdb request submitted

Comment 5 Gwyn Ciesla 2017-01-30 17:31:19 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/kalarm

Comment 6 Rex Dieter 2017-01-30 18:34:36 UTC
imported, thanks.


Note You need to log in before you can comment on or make changes to this bug.